; Global variable used to store the dataset path
(setq *gDatasetPath* "C:\\Datasets\\SD20507 - Deploy and Support AutoLISP Programs Like a Pro\\")

;| HELP function opens a help topic directly in the help window or
   associated application window for CHM and HLP files. |;

;; Displays the LINE command topic from the AutoCAD help system
(help "" "LINE")

;; Displays a Web page
(help "http://www.hyperpics.com/")

;; Displays a local HTML file
(help (strcat *gDatasetPath* "Topic1.htm"))

;; Displays a CHM file
(help "C:\\Program Files\\Common Files\\Autodesk Shared\\en-US\\acadauto.chm" "IDH_LINE_OBJECT")
(help (strcat *gDatasetPath* "AU2016.chm"))
(help (strcat *gDatasetPath* "AU2016.chm") "Topic3")

;| HELP function opens a help topic directly in the help window or
   associated application window for CHM and HLP files. |;

;; Displays the LINE command topic from the AutoCAD help system
(defun c:CMD1 () (getstring "\n(CMD1) Enter some text: "))
(setfunhelp "c:CMD1"
            ""
            "LINE")

;; Displays a Web page
(defun c:CMD2 () (getstring "\n(CMD2) Enter some text: "))
(setfunhelp "c:CMD2"
            "http://www.hyperpics.com/")

;; Displays a local HTML file
(defun c:CMD3 () (getstring "\n(CMD3) Enter some text: "))
(setfunhelp "c:CMD3"
            (strcat *gDatasetPath* "Topic1.htm"))

;; Displays a CHM file
(defun c:CMD4 () (getstring "\n(CMD4) Enter some text: "))
(setfunhelp "c:CMD4"
            "C:\\Program Files\\Common Files\\Autodesk Shared\\en-US\\acadauto.chm"
            "IDH_LINE_OBJECT")