;| The following demonstrates how to define local and global commands with DEFUN |;

; Local command name for English
(defun c:Evaluate ( / )
  (alert "Command started.")
)

; The user can enter
; EVALUATE or _EVALUATE


; Local command name for French
(defun c:Evaluer ( / )
  (alert "Commande a commenc.") 
)

; The user can enter
; EVALUER or _EVALUER



;| The following demonstrates how to define local and global commands with VLAX-ADD-CMD |;

; Global and local command name for English version
(defun Evaluate ( / )
  (alert "Command started.")
)
(vlax-add-cmd "evaluate" 'evaluate "evaluate")

; Global and local command name for French version
(defun Evaluate ( / )
  (alert "Commande a commenc.") 
)
(vlax-add-cmd "evaluate" 'evaluate "evaluer")