; AU2016 AutoLISP Examples
; Created on: 10/28/16
; Created by: Lee Ambrosius

(prompt "\nVersion franaise charge.")

; Executed when the LSP file is loaded
(prompt "\nChargement d'AU2016 AutoLISP Exemples...")

; Zoom extents shortcut
(defun c:ZX ()(command "_zoom" "_e"))

; Draws concentric circles
(defun c:C2 ()(command "_circle" PAUSE 1 "_circle" "@" 2))

; Creates a layer and sets it current
; Usage: (create-layer "NewLayer" "45")
(defun create-layer (lay-name lay-clr / )
  (command "_-layer" "_m" lay-name "_c" lay-clr "" "")
)

; Replaces the DLI alias with a custom command
(defun c:DLI ()
  (create-layer "Dimensions" "3")
  (command "_dimlinear")
)
