;| The following is an example of adding a folder to the trusted locations list |;

;; Usage (appendTrustedLocation "c:\\users\\ambrosl\\Documents")
;; Usage (appendTrustedLocation "c:\\users\\ambrosl\\Documents\\..")
(defun appendTrustedLocation (folderName / curTrustedPaths)
  (setq curTrustedPaths (getvar "trustedpaths"))

  (if (vl-file-directory-p folderName)
    (progn  
      (if (not (vl-string-search (strcase (strcat folderName ";"))
                                 (strcase curTrustedPaths)))
        (if (not (vl-string-search (strcase folderName)
                                   (strcase curTrustedPaths)))
          (if (/= curTrustedPaths "")
            (setq curTrustedPaths (strcat curTrustedPaths
					  ";" folderName))
            (setq curTrustedPaths folderName)
          )
        )
      )
      (setvar "trustedpaths" curTrustedPaths)
    )
  )
)


